<bugID>1363757<Summary>[meta] Photon - Interacting with the AwesomeBar should be fast and smooth</Summary><Description>We need the user to get immediate feedback when they're interacting with the AwesomeBar. Immediate is 130ms or less.

We need to ensure that keyboard events are prioritized so that typing feels smooth.

We need to avoid flicker and jank when the AwesomeBar populates.</Description></bugID>